<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        function suma(a,b) {
            return new Promise(function (resolve,reject) {
                resolve(a + b);
              })
         }
         function restar(valor, cantidad) {
            return new Promise(function (resolve,reject) {
                resolve(valor - cantidad);
              })
         }
         function esMayorACero(valor) {
            return new Promise(function (resolve,reject) {
                if (valor > 0){
                    resolve('Mayor a Cero')
                }else {
                    resolve('Menor a cero')
                }
              })
         }

         const x = 10
         const y = 20

         async function mayorACero(){
         try{
             let resultado_de_suma = await suma(x,y)
             let resultado_de_resta = await restar(resultado_de_suma, 15)
             let respuesta = await esMayorACero(resultado_de_resta)
             console.log(respuesta)
         }
         catch(err) {

         }
         }

         mayorACero();

    </script>
</body>
</html>